
Redmine - Defect #8641

Subissues is  not created by REST API

2011-06-17 12:43 - Nicolay Punin

Status: Closed Start date: 2011-06-17

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

Subissues is  not created by REST API

POST query:

<?xml version="1.0" encoding="UTF-8"?><issue>

<subject>TEST PARENT ISSUE</subject>

<project_id>15304</project_id>

<parent_id>132725</parent_id>

<tracker_id>16</tracker_id>

<status_id>1</status_id>

</issue>

Redmine REST API returns this result:

HTTP/1.1 201 Created

Location: http://localhost:3000/issues/132852

Connection: Keep-Alive

Content-Type: application/xml; charset=utf-8

Date: Fri, 17 Jun 2011 10:21:05 GMT

Server: WEBrick/1.3.1 (Ruby/1.8.7/2010-08-16)

X-Runtime: 215

Content-Length: 734

Cache-Control: no-cache

Set-Cookie: _redmine_session=SOME_CODE; path=/; HttpOnly

<?xml version="1.0" encoding="UTF-8"?>

<issue>

<id>132852</id>

<project name="test.ru" id="15304"/>

<tracker name="some_tracker" id="16"/>

<status name="new" id="1"/>

<priority name="some priority" id="4"/>

<author name="ME" id="792"/>

<subject>TEST PARENT ISSUE</subject>

<description></description>

<start_date>2011-06-17</start_date>

<due_date></due_date>

<done_ratio>0</done_ratio>

<estimated_hours></estimated_hours>

<spent_hours>0.0</spent_hours>

<created_on>2011-06-17T14:21:05+04:00</created_on>

<updated_on>2011-06-17T14:21:05+04:00</updated_on>

</issue>

The issue was created, but it is not a subissue.

Problem was tested on 1.1/1.2 redmine stable versions.

History
http://localhost:3000/issues/132852


#1 - 2011-06-17 12:48 - Nicolay Punin

log information:

Processing IssuesController#create to xml (for 127.0.0.1 at 2011-06-17 14:21:05) [POST]

Parameters: {"format"=>"xml", "action"=>"create", "issue"=>{"project_id"=>"15304", "subject"=>"TEST PARENT ISSUE", "tracker_id"=>"16",

"parent_id"=>"132725", "status_id"=>"1"}, "controller"=>"issues", "key"=>"my_key"}

Sending email notification to:

Rendering issues/show (created)

Completed in 215ms (View: 13, DB: 118) | 201 Created [http://localhost/issues.xml?key=my_key]

redmine works in production mode

#2 - 2011-06-29 18:51 - Alex Last

subtasks are tested (among other things) with every Redmine Java API (http://code.google.com/p/redmine-java-api) automated build. works fine with

the last Redmine 1.1. Not tested on 1.2 yet.

#3 - 2011-06-29 20:34 - Nicolay Punin

I used Active Resource Library(http://www.redmine.org/projects/redmine/wiki/Rest_api_with_php). Maybe I did something wrong. I will try to use Java

library and write about results.

#4 - 2011-07-23 07:19 - Alex Last

I switched Redmine Java API to be tested with Redmine 1.2.1 (with every auto-build).

#5 - 2011-07-26 07:32 - Nicolay Punin

- Status changed from New to Resolved

- % Done changed from 0 to 100

it works! thanks )

I am using tag: <parent_id>132725</parent_id>

Right: <parent_issue_id>132725</parent_issue_id>

#6 - 2011-08-15 18:32 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
